%define upstream_name    Test-Run
%define upstream_version 0.0306

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Named sprintf according to the
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.600.0
BuildRequires: perl(IPC::System::Simple) >= 1.210.0
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::StrictConstructor)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(TAP::Parser) >= 3.90.0
BuildRequires: perl(Test::Harness) >= 2.530.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Text::Sprintf::Named) >= 0.20.0
BuildRequires: perl(UNIVERSAL::require)
BuildArch:  noarch

%description
The construct

  use if CONDITION, MODULE => ARGUMENTS;

has no effect unless 'CONDITION' is true. In this case the effect is the
same as of

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes DONE LICENSE META.json META.yml MYMETA.yml NOTES README TODO examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2024 daviddavid <daviddavid> 0.30.600-3.mga10
+ Revision: 2108444
- rebuild again with fixed perl generator in rpm-mageia-setup-2.80-7.mga10

* Tue Oct 15 2024 daviddavid <daviddavid> 0.30.600-2.mga10
+ Revision: 2107048
- rebuild with fixed perl attr in rpm-mageia-setup-2.80-5.mga10

* Tue Oct 15 2024 tv <tv> 0.30.600-1.mga10
+ Revision: 2106956
- update to 0.0306

* Mon Mar 21 2022 umeabot <umeabot> 0.30.500-2.mga9
+ Revision: 1813417
- Mageia 9 Mass Rebuild

* Sun Oct 18 2020 tv <tv> 0.30.500-1.mga8
+ Revision: 1636764
- update to 0.0305

* Wed Feb 12 2020 umeabot <umeabot> 0.30.400-4.mga8
+ Revision: 1497485
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.30.400-3.mga7
+ Revision: 1271999
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.400-2.mga6
+ Revision: 1034632
- Rebuild for perl 5.22.2

* Thu Dec 17 2015 shlomif <shlomif> 0.30.400-1.mga6
+ Revision: 911385
- New version 0.0304

* Thu Jun 25 2015 shlomif <shlomif> 0.30.300-1.mga6
+ Revision: 843667
- update to 0.0303

* Wed Oct 15 2014 umeabot <umeabot> 0.30.200-3.mga5
+ Revision: 745409
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.200-2.mga5
+ Revision: 686535
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.30.200-1.mga5
+ Revision: 581349
- update to 0.0302

* Fri Oct 18 2013 umeabot <umeabot> 0.12.600-3.mga4
+ Revision: 515370
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.12.600-2.mga3
+ Revision: 373770
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.12.600-1.mga3
+ Revision: 277293
- update to 0.0126
- imported package perl-Test-Run


* Sat Aug 29 2009 cpan2dist 0.0120-1mdv
- initial mdv release, generated with cpan2dist
